# Visualization
TKV3d
DsgPrs

# DsgPrs_ParalPresentation Class Reference

A framework to define display of relations of parallelism between shapes.
.

`#include <DsgPrs_ParalPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &aDirection, const gp_Pnt &OffsetPoint)
| Defines the display of elements showing relations of parallelism between shapes. These include the two points of attachment AttachmentPoint1 and AttachmentPoint1, the direction aDirection, and the offset point OffsetPoint. These arguments are added to the presentation object aPresentation. Their display attributes are defined by the attribute manager aDrawer. .
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &aDirection, const gp_Pnt &OffsetPoint, const DsgPrs_ArrowSide ArrowSide)
| Defines the display of elements showing relations of parallelism between shapes. These include the two points of attachment AttachmentPoint1 and AttachmentPoint1, the direction aDirection, the offset point OffsetPoint and the text aText. These arguments are added to the presentation object aPresentation. Their display attributes are defined by the attribute manager aDrawer. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_ParalPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Dir & | aDirection,
|  | const gp_Pnt & | OffsetPoint,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) | `[static]`

static Standard_EXPORT void DsgPrs_ParalPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Dir & | aDirection,
|  | const gp_Pnt & | OffsetPoint
| ) | `[static]`

void DsgPrs_ParalPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_ParalPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_ParalPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_ParalPresentation.hxx